%define aurox_ver 9.3
%define rel 2


%define real_name Image-Size

Summary: Image::Size perl module
Name: perl-%{real_name}
Version: 2.992
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Libraries
Source: http://search.cpan.org/CPAN/authors/id/R/RJ/RJRAY/%{real_name}-%{version}.tar.gz
URL: http://www.cpan.org
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.005
Requires: ImageMagick-perl
Requires: perl >= 5.005

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives. Image::Size has generalized that code to return a raw (X, Y)
pair, and included wrappers to pre-format that output into either HTML or
a set of attribute pairs suitable for the CGI.pm library by Lincoln Stein.
Currently, Image::Size can size images in XPM, XBM, GIF, JPEG, PNG, MNG, TIFF,
the PPM family of formats (PPM/PGM/PBM) and if Image::Magick is installed,
the formats supported by it.

%prep
%setup -q -n %{real_name}-%{version}

# fix for new MakeMaker (ie new perl 5.8.0)
perl -pi -e '/CCCMD/ && s|/m;|/mg;|' Makefile.PL

%build
%{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} # INSTALLDIRS=vendor --lazy-load
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf ${RPM_BUILD_ROOT}
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# remove undesired files
find $RPM_BUILD_ROOT -type f -name "perllocal.pod" | xargs rm -f
find $RPM_BUILD_ROOT -type f -name "\.packlist" | xargs rm -f

# generate filelist
find $RPM_BUILD_ROOT -type f -print | \
    grep -v "$RPM_BUILD_ROOT%{_mandir}" | \
    sed -e "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-, root, root)
%doc ChangeLog MANIFEST README*
%{_mandir}/*/*

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f %{name}-%{version}-filelist

%changelog
* Mon Jan 26 2004 Aurox Team <aurox@aurox.org> 0:2.992-9.3.aur.2
- rebuild
- rebuild for Aurox 9.3
- import package from ASPLinux; required by gscmxx

* Tue Oct 21 2003 Andy Shevchenko <andriy@asplinux.ru> 2.992
- new version

* Fri Feb 7 2003 Andy Shevchenko <andriy@asplinux.ru>
- Adjust for perl-5.8

* Mon Feb 3 2003 Andy Shevchenko <andriy@asplinux.ru>
- correct URL tag

* Mon Jan 27 2003 Andy Shevchenko <andriy@asplinux.ru>
- add requires

* Sun Dec 29 2002 Andy Shevchenko <andriy@asplinux.ru> 2.99
- build rpm

